<?php
/**
 * The template for displaying archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package understrap
 */
get_header();
?>

<div class="wrapper" id="wrapper-index">

    <div class="container" id="content" tabindex="-1">

	<div class="row">
	    <div class="col-12 blog-header">
		<h1><?php single_cat_title(''); ?></h1>
		<div class="description"><?php echo get_the_archive_description(); ?></div>

		<?php get_template_part('global-templates/mailchimp', 'none'); ?>

	    </div>

	    <div id="primary" class="col-lg-9 content-area">

		<main class="site-main" id="main">

		    <?php if (have_posts()) : ?>

			<?php /* Start the Loop */ ?>

			<?php while (have_posts()) : the_post(); ?>

			    <?php
			    /*
			     * Include the Post-Format-specific template for the content.
			     * If you want to override this in a child theme, then include a file
			     * called content-___.php (where ___ is the Post Format name) and that will be used instead.
			     */
			    get_template_part('loop-templates/content', get_post_format());
			    ?>

			<?php endwhile; ?>

		    <?php else : ?>

			<?php get_template_part('loop-templates/content', 'none'); ?>

		    <?php endif; ?>

		</main><!-- #main -->

		<!-- The pagination component -->
		<?php understrap_pagination(); ?>

	    </div><!-- #primary -->
	    <div id="right-sidebar" class="col-lg-3 widget-area">
		<?php get_template_part('global-templates/blog-sidebar', 'none'); ?>

	    </div>


	</div><!-- .row -->

    </div><!-- Container end -->

</div><!-- Wrapper end -->

<?php get_footer(); ?>
