<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package understrap
 */
get_header();
?>
<div class="wrapper">

    <section class="content-section home-header">
	<div class="container">
	    <div class="row justify-content-md-center">
		<div class="col-md-10">
		    <h1>Направления деятельности компании</h1>
		</div>
		<div class="col-sm-6 col-md-5 ml-md-auto automation">
		    <h3><span>Автоматизация</span><br> <span>предприятий</span></h3>
		    <p>1C: Предприятие 7.7, 8.х, CRM, ERP</p>
		    <button class="btn btn-primary" data-toggle="modal" data-target="#contactForm">Оставить заявку</button>
		</div>
		<div class="col-sm-6 col-md-5 ml-md-auto web">
		    <h3><span>Веб-разработка</span></h3>
		    <p>Разработка и продвижение сайтов,<br> дизайн и брендинг</p>

		    <a href="<?php echo get_permalink(139) ?>" class="btn btn-primary">Заполнить бриф</a>
		</div>
		<div class="col-md-12 text-center">
		    <a href="#home-tabs" class="btn btn-link go-to"></a>
		</div>

	    </div>
	</div>
    </section>
    <section class="content-section blog">
	<div class="container">
	    <h2>Новости</h2>
	    <div class="row">
		<?php
		$class = "col-md-6";

		$args = array(
		    'posts_per_page' => 3,
		    'post_type' => 'post',
		    'cat' => 19
		);

		$query = new WP_Query($args);

		if ($query->have_posts()) {
		    while ($query->have_posts()) {
			$query->the_post();
			echo '<div class="' . $class . '" ><p class="post-date">' . get_the_date() . '</p><a href="' . get_permalink() . '" class="post-link" >' . get_the_title() . '</a></div>';

			$class = "col-md-3";
		    }
		}
		wp_reset_postdata();
		?>

	    </div>
	    <p class="link-wrp"><a href="<?php echo get_category_link(19); ?>" class="blue"><span>Все новости</span> <i class="arrow-right"></i></a></p>
	    <h2>Свежее в блоге</h2>
	    <div class="row">
		<?php
		$class = "col-md-6";

		$args = array(
		    'posts_per_page' => 3,
		    'post_type' => 'post',
		    'category__not_in' => 19,
		);

		$query = new WP_Query($args);

		if ($query->have_posts()) {
		    while ($query->have_posts()) {
			$query->the_post();
			echo '<div class="' . $class . '" ><p class="post-date">' . get_the_date() . '</p><a href="' . get_permalink() . '" class="post-link">' . get_the_title() . '</a></div>';

			$class = "col-md-3";
		    }
		}
		wp_reset_postdata();
		?>

	    </div>
	    <p class="link-wrp"><a href="<?php echo get_category_link(19); ?>" class="blue"><span>Все обновления в блоге</span> <i class="arrow-right"></i></a></p>

	    <?php get_template_part('global-templates/mailchimp', 'none'); ?>
	</div>
    </section>
    <div id="home-tabs" class="home-tabs">
	<div class="container">
	    <h2>Какое направление вас интересует?</h2>

	    <nav class="nav nav-tabs" id="myTab" role="tablist">
		<a class="nav-item nav-link active" id="nav-automation-tab" data-toggle="tab" href="#nav-automation" role="tab" aria-controls="nav-automation" aria-expanded="true"><span>Автоматизация</span></a>
		<a class="nav-item nav-link" id="nav-web-tab" data-toggle="tab" href="#nav-web" role="tab" aria-controls="nav-web"><span>Веб-разработка</span></a>
	    </nav>

	</div>
	<div class="tab-content" id="nav-tabContent">
	    <div class="tab-pane fade show active" id="nav-automation" role="tabpanel" aria-labelledby="nav-automation-tab">
		<?php get_template_part('global-templates/automation-tab', 'none'); ?>
	    </div>
	    <div class="tab-pane fade" id="nav-web" role="tabpanel" aria-labelledby="nav-web-tab">
		<?php get_template_part('global-templates/web-tab', 'none'); ?>
	    </div>
	</div>

    </div>

</div>

<?php get_footer(); ?>