<?php
/**
 * The template for displaying all single posts.
 *
 * @package understrap
 */
get_header();
$container = get_theme_mod('understrap_container_type');
$sidebar_pos = get_theme_mod('understrap_sidebar_position');
?>

<div class="wrapper" id="single-wrapper">

    <div class="<?php echo esc_attr($container); ?>" id="content" tabindex="-1">

	<div class="row">

	    <div id="primary" class="col-lg-9 content-area">

		<main class="site-main" id="main">

		    <?php while (have_posts()) : the_post(); ?>
			<?php
			$current_cat = get_the_terms($post->ID, 'automation_cat');
			$current_cat = array_shift($current_cat);
			?>

			<?php the_content(); ?>

		    <?php endwhile; // end of the loop.   ?>

		</main><!-- #main -->

	    </div><!-- #primary -->

	    <div id="right-sidebar" class="col-lg-3 widget-area">
		<div class="widget automation-posts">
		    <h5 class="light">
			<?php
			switch ($current_cat->term_id) {
			    case 3:
				echo "Мы также решаем задачи автоматизации";
				break;
			    case 4:
				echo "Сферы деятельности";
				break;
			    case 6:
				echo "Продукты на базе программ 1С";
				break;
			    case 7:
				echo "Продукты на базе программ Агент Плюс";
				break;
			    case 8:
				echo "Рекомендуем ознакомиться с нашими продуктами";
				break;
			    case 9:
				echo "Услуги по автоматизации бизнес-процессов";
				break;
			}
			?>

		    </h5>
		    <ul>
			<?php
			$args = array(
			    'posts_per_page' => 99,
			    'post_type' => 'automation',
			    'tax_query' => array(
				array(
				    'taxonomy' => 'automation_cat',
				    'field' => 'term_id',
				    'terms' => $current_cat->term_id,
				)
			    ),
			);

			$query = new WP_Query($args);

			if ($query->have_posts()) {
			    while ($query->have_posts()) {
				$query->the_post();
				echo '<li><a href = "' . get_permalink() . '">' . get_the_title() . '</a></li>';
			    }
			}
			wp_reset_postdata();
			?>
		    </ul>
		</div>
		<?php
		$args = array(
		    'posts_per_page' => 99,
		    'post_type' => 'post',
		    'meta_query' => array(
			array(
			    'key' => 'see_in',
			    'value' => $post->ID,
			    'compare' => 'LIKE'
			),
		    )
		);

		$query = new WP_Query($args);

		if ($query->have_posts()) {
		    ?>

    		<div class="widget popular-posts">
    		    <h5 class="light">Популярное в блоге</h5>
    		    <ul>
			    <?php
			    while ($query->have_posts()) {
				$query->the_post();

				echo '<li><span class="post-date">' . get_the_date() . '</span><a href="' . get_permalink() . '">' . get_the_title() . '</a></li>';
			    }
			    ?>

    		    </ul>
    		</div>
		    <?php
		}
		wp_reset_postdata();
		?>

	    </div>

	    <div class="col">
		<div class="popup-box">
		    <div class="row align-items-center">
			<div class="col-md-7">
			    <span class="text"><?php echo fw_get_db_post_option($post->ID, 'custome_text') ?></span>
			</div>
			<div class="col-md-5">
			    <button class="btn btn-block btn-primary" data-toggle="modal" data-target="#contactForm"><?php echo fw_get_db_post_option($post->ID, 'button_text') ?></button>
			</div>
		    </div>
		</div>
	    </div>

	</div><!-- .row -->

    </div><!-- Container end -->

</div><!-- Wrapper end -->

<?php get_footer(); ?>
