<?php
/**
 * The template for displaying all single posts.
 *
 * @package understrap
 */
get_header();
?>

<div class="wrapper" id="single-wrapper">

    <div class="container" id="content" tabindex="-1">

	<div class="row">

	    <div id="primary" class="col-lg-9 content-area">

		<main class="site-main" id="main">

		    <?php while (have_posts()) : the_post(); ?>
			<?php
			$current_cat = get_the_terms($post->ID, 'web_cat');
			$current_cat = array_shift($current_cat);
			?>

			<?php the_content(); ?>

		    <?php endwhile; // end of the loop.   ?>

		</main><!-- #main -->
	    </div><!-- #primary -->

	    <div id="right-sidebar" class="col-lg-3 widget-area">
		<div class="widget automation-posts">
		    <h5 class="light">Вам также может быть интересно</h5>
		    <ul>
			<?php
			$args = array(
			    'posts_per_page' => 99,
			    'post_type' => 'web',
			    'post__not_in' => array($post->ID),
			    'tax_query' => array(
				array(
				    'taxonomy' => 'web_cat',
				    'field' => 'term_id',
				    'terms' => $current_cat->term_id,
				)
			    ),
			);

			$query = new WP_Query($args);

			if ($query->have_posts()) {
			    while ($query->have_posts()) {
				$query->the_post();
				echo '<li><a href = "' . get_permalink() . '">' . get_the_title() . '</a></li>';
			    }
			}
			wp_reset_postdata();
			?>
		    </ul>
		</div>
		<div class="widget popular-posts">
		    <h5 class="light">Популярное в блоге</h5>
		    <ul>
			<?php
			$args = array(
			    'posts_per_page' => 99,
			    'post_type' => 'post',
			    'meta_query' => array(
				array(
				    'key' => 'see_in',
				    'value' => $post->ID,
				    'compare' => 'LIKE'
				),
			    )
			);

			$query = new WP_Query($args);

			if ($query->have_posts()) {
			    while ($query->have_posts()) {
				$query->the_post();
				echo '<li><span class="post-date">' . get_the_date() . '</span><a href="' . get_permalink() . '">' . get_the_title() . '</a></li>';
			    }
			}
			wp_reset_postdata();
			?>
		    </ul>
		</div>

	    </div>

	    <div class="col-12">
		<div class="popup-box">
		    <div class="row align-items-center">
			<div class="col-md-7">
			    <span class="text"><?php echo fw_get_db_post_option($post->ID, 'custome_text') ?></span>
			</div>

			<div class="col-md-5">
			    <?php
			    switch ($current_cat->term_id) {
				case 14:
				    echo '<a href="' . get_permalink(139) . '" class="btn btn-block btn-primary">' . fw_get_db_post_option($post->ID, 'button_text') . '</a>';
				    break;

				default:
				    echo '<button class="btn btn-block btn-primary" data-toggle="modal" data-target="#contactForm">' . fw_get_db_post_option($post->ID, 'button_text') . '</button>';
				    break;
			    }
			    ?>


			</div>
		    </div>
		</div>
	    </div>

	    <div class="col-12 portfolio-posts">

		<h2>Наши работы</h2>
		<div class="row">
		    <?php
		    $args = array(
			'posts_per_page' => 6,
			'post_type' => 'portfolio_posts',
		    );

		    $query = new WP_Query($args);

		    if ($query->have_posts()) {
			while ($query->have_posts()) {
			    $query->the_post();
			    ?>
			    <article <?php post_class('col-md-4'); ?> id="post-<?php the_ID(); ?>">
				<a href="<?php echo get_permalink() ?>" class="img-wrp">
				    <?php echo get_the_post_thumbnail($post->ID, 'thubnail'); ?>
				</a>
				<?php
				if (fw_get_db_post_option($post->ID, 'custome_title')) {
				    $title = fw_get_db_post_option($post->ID, 'custome_title');
				} else {
				    $title = get_the_title();
				}
				?>

				<h2 class="entry-title"><a href="<?php echo get_permalink() ?>"><?php echo $title; ?></a></h2>
				<p class="description"><?php echo fw_get_db_post_option($post->ID, 'description_text') ?></p>
			    </article><!-- #post-## -->

			    <?php
			}
		    }
		    wp_reset_postdata();
		    ?>

		</div>
		<p class="mt-5">
		    <a href="<?php echo get_term_link(24) ?>" class="blue">Смотреть все работы <i class="fa fa-long-arrow-right" aria-hidden="true"></i></a>
		</p>

	    </div>
	</div><!-- .row -->

    </div><!-- Container end -->

</div><!-- Wrapper end -->

<?php get_footer(); ?>
